Subject: [OPSAWG] AD review: draft-ietf-opsawg-rfc5066bis

From: Benoit Claise <[email-masked]>
Date: Mon, 25 Nov 2013 18:21:25 +0100

Ed, all,

First of all, as mentioned by Dan Romascanu in his write-up 
(https://datatracker.ietf.org/doc/draft-ietf-opsawg-rfc5066bis/shepherdwriteup/), 
please correct this:

    (1) What type of RFC is being requested (BCP, Proposed Standard,
    Internet Standard, Informational, Experimental, or Historic)? Why is
    this the proper type of RFC? Is this type of RFC indicated in the
    title page header?

    Proposed Standard. The header mentions incorrectly 'Standards Track'
    - this needs to be changed

Below is my AD review.

1.
OLD:

    In 2011, the IEEE developed IEEE8023-EFM-CU-
    MIB module, based on the original EFM-CU-MIB module.  The current
    revision of IEEE8023-EFM-CU-MIB is defined in IEEE Std 802.3.1-2013
    [802.3.1  <http://tools.ietf.org/html/draft-ietf-opsawg-rfc5066bis-05#ref-802.3.1>].

NEW

    In 2011, the IEEE developed IEEE8023-EFM-CU-
    MIB module, based on the original EFM-CU-MIB module [RFC5066].  The current
    revision of IEEE8023-EFM-CU-MIB, is defined in IEEE Std 802.3.1-2013
    [802.3.1  <http://tools.ietf.org/html/draft-ietf-opsawg-rfc5066bis-05#ref-802.3.1>].

2.

    All further development of the EFM Copper Interfaces MIB will be done
    by the IEEE 802.3 working group in the IEEE8023-EFM-CU-MIB module.
    Requests and comments pertaining to EFM Copper Interfaces MIB SHOULD
    be sent to the IEEE 803.3 working group.  Currently, the mailing list
    of the IEEE 802.3.1 task force, chartered with MIB development, is
    [[email-masked]].

"SHOULD" is to be replaced by "should"
Justification: RFC 2119 section 6

Ed, how quickly can you produce a new version?

Regards, Benoit (OPS AD)

---

From: Edward Beili <[email-masked]>
Date: Mon, 25 Nov 2013 22:23:56 +0200

Benoit,
I'll submit the new version in a couple of hours.

There's one thing I would like you to consider for adding to the Technical or Workgroup summary:

This document provides an updated security considerations section for IF-CAP-STACK-MIB

Regards,
-E.

From: Benoit Claise [mailto:[email-masked]]
Sent: Monday, November 25, 2013 19:21
To: Edward Beili
Cc: [email-masked]; Romascanu, Dan (Dan)
Subject: AD review: draft-ietf-opsawg-rfc5066bis

Ed, all,

First of all, as mentioned by Dan Romascanu in his write-up (https://datatracker.ietf.org/doc/draft-ietf-opsawg-rfc5066bis/shepherdwriteup/), please correct this:
(1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)? Why is this the proper type of RFC? Is this type of RFC indicated in the title page header?

Proposed Standard. The header mentions incorrectly 'Standards Track' - this needs to be changed

Below is my AD review.

1.
OLD:

   [802.3.1<http://tools.ietf.org/html/draft-ietf-opsawg-rfc5066bis-05#ref-802.3.1>].

NEW

   [802.3.1<http://tools.ietf.org/html/draft-ietf-opsawg-rfc5066bis-05#ref-802.3.1>].

2.

   [[email-masked]<mailto:[email-masked]>].

Regards, Benoit (OPS AD)

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 25 Nov 2013 21:28:57 +0000

From: Edward Beili [mailto:[email-masked]]
Sent: Monday, November 25, 2013 10:24 PM
To: Benoit Claise
Cc: [email-masked]; Romascanu, Dan (Dan)
Subject: RE: AD review: draft-ietf-opsawg-rfc5066bis

Benoit,

Regards,
-E.

From: Benoit Claise [mailto:[email-masked]]
Sent: Monday, November 25, 2013 19:21
To: Edward Beili
Cc: [email-masked]<mailto:[email-masked]>; Romascanu, Dan (Dan)
Subject: AD review: draft-ietf-opsawg-rfc5066bis

Ed, all,

Below is my AD review.

1.
OLD:

NEW

2.

Regards, Benoit (OPS AD)

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 25 Nov 2013 21:29:40 +0000

I agree with Ed's comment about the updated security considerations section.

Regards,

Dan

Benoit,

Regards,
-E.

Ed, all,

Below is my AD review.

1.
OLD:

NEW

2.

Regards, Benoit (OPS AD)

---

From: Benoit Claise <[email-masked]>
Date: Mon, 25 Nov 2013 23:29:59 +0100

Hi,

The write-up has been updated.

Regards, Benoit
> *From:*Edward Beili [mailto:[email-masked]]
> *Sent:* Monday, November 25, 2013 10:24 PM
> *To:* Benoit Claise
> *Cc:* [email-masked]; Romascanu, Dan (Dan)
> *Subject:* RE: AD review: draft-ietf-opsawg-rfc5066bis
>
> Benoit,
>
> *This document provides an updated security considerations section for 
> IF-CAP-STACK-MIB*
>
> Regards,
>
> -E.
>
> *From:*Benoit Claise [mailto:[email-masked]]
> *Sent:* Monday, November 25, 2013 19:21
> *To:* Edward Beili
> *Cc:* [email-masked] <mailto:[email-masked]>; Romascanu, Dan (Dan)
> *Subject:* AD review: draft-ietf-opsawg-rfc5066bis
>
> Ed, all,
>
>     [[email-masked]  <mailto:[email-masked]>].
>   
>

---

From: Edward Beili <[email-masked]>
Date: Tue, 26 Nov 2013 00:39:07 +0200

Dan, Benoit,
I'm having a little difficulty with the header, namely changing "Indented Status" from "Standards Track" to "Proposed Standard".

I'm using xml2rfc, which automatically converts

<rfc category="std" ...>

to:

Intended status: Standards Track

I don't see a way to change that in the xml, except for fixing it manually in the final .txt file, after xml2rfc conversion.

Am I missing something in the xml?

Regards,
-E.

From: Benoit Claise [mailto:[email-masked]]
Sent: Tuesday, November 26, 2013 00:30
To: Romascanu, Dan (Dan); Edward Beili
Cc: [email-masked]
Subject: Re: AD review: draft-ietf-opsawg-rfc5066bis

Hi,

Regards, Benoit

Regards,

Dan

Benoit,

Regards,
-E.

Ed, all,

Below is my AD review.

1.
OLD:

NEW

2.

Regards, Benoit (OPS AD)

---

From: "ietfdbh" <[email-masked]>
Date: Mon, 25 Nov 2013 18:39:54 -0500

I am of the impression that "standards track" is appropriate in the internet
draft.

The IESG telechat is used to tune this finer, and the RFC gets the
appropriate status level.

This hasn't changed, has it?

David Harrington

 <mailto:[email-masked]> [email-masked]

+1-603-828-1401

From: OPSAWG [mailto:[email-masked]] On Behalf Of Edward Beili
Sent: Monday, November 25, 2013 5:39 PM
To: Benoit Claise; Romascanu, Dan (Dan)
Cc: [email-masked]
Subject: Re: [OPSAWG] AD review: draft-ietf-opsawg-rfc5066bis

Dan, Benoit,

I'm having a little difficulty with the header, namely changing "Indented
Status" from "Standards Track" to "Proposed Standard".

<rfc category="std" .>

to:

I don't see a way to change that in the xml, except for fixing it manually
in the final .txt file, after xml2rfc conversion.

Regards,

-E.

Hi,

Regards, Benoit

 

Regards,

Dan

Benoit,

There's one thing I would like you to consider for adding to the Technical
or Workgroup summary:

This document provides an updated security considerations section for
IF-CAP-STACK-MIB

Regards,

-E.

Ed, all,

First of all, as mentioned by Dan Romascanu in his write-up
(https://datatracker.ietf.org/doc/draft-ietf-opsawg-rfc5066bis/shepherdwrite
up/), please correct this:

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet
Standard, Informational, Experimental, or Historic)? Why is this the proper
type of RFC? Is this type of RFC indicated in the title page header? 

Proposed Standard. The header mentions incorrectly 'Standards Track' - this
needs to be changed

Below is my AD review.

1.
OLD:

   In 2011, the IEEE developed IEEE8023-EFM-CU-
   MIB module, based on the original EFM-CU-MIB module.  The current
   revision of IEEE8023-EFM-CU-MIB is defined in IEEE Std 802.3.1-2013
   [802.3.1
<http://tools.ietf.org/html/draft-ietf-opsawg-rfc5066bis-05#ref-802.3.1> ].
 
NEW
 
   In 2011, the IEEE developed IEEE8023-EFM-CU-
   MIB module, based on the original EFM-CU-MIB module [RFC5066].  The
current
   revision of IEEE8023-EFM-CU-MIB, is defined in IEEE Std 802.3.1-2013
   [802.3.1
<http://tools.ietf.org/html/draft-ietf-opsawg-rfc5066bis-05#ref-802.3.1> ].

2.

Regards, Benoit (OPS AD)

---

From: Edward Beili <[email-masked]>
Date: Tue, 26 Nov 2013 10:02:50 +0200

Benoit, Dan,
I just posted the new versions with the following changes:

1. Modified according to the AD review comments from Benoit.

2. Changed the references names to start with a letter instead of a number, i.e. instead of [802.3] and [802.3.1] use [IEEE802.3] and [IEEE802.3.1], due to complaints from the newest version of xml2rfc, which has stricter checking of the xml. Also added a <date/> tag in the xml to appease xml2rfc.

3. Changed reference to 802.3 MIB Email reflector, using [LIST802.3.1] instead of [[email-masked]], since xml2rfc was complaining about the @ character, besides the [email-masked]<mailto:[email-masked]> address is really not the mailing list address, but rather the address of the list owner, used only for (un)subscription. The relevant paragraph now looks as follows:

OLD>

NEW>
   All further development of the EFM Copper Interfaces MIB will be done
   by the IEEE 802.3 working group in the IEEE8023-EFM-CU-MIB module.
   Requests and comments pertaining to EFM Copper Interfaces MIB should
   be sent to the IEEE 802.3.1 task force, currently chartered with MIB
   development, via its mailing list [LIST802.3.1].

4. The "Intended Status" still says "Standards Track" in the draft, as per the comment from David. I also looked at my previous RFCs - the Intended Status was always changed during publication, not by the author.

Regards,
-E.

From: ietfdbh [mailto:[email-masked]]
Sent: Tuesday, November 26, 2013 01:40
To: Edward Beili; 'Benoit Claise'; 'Romascanu, Dan (Dan)'
Cc: [email-masked]
Subject: RE: [OPSAWG] AD review: draft-ietf-opsawg-rfc5066bis

I am of the impression that "standards track" is appropriate in the internet draft.
The IESG telechat is used to tune this finer, and the RFC gets the appropriate status level.
This hasn't changed, has it?

David Harrington
[email-masked]<mailto:[email-masked]>
+1-603-828-1401
From: OPSAWG [mailto:[email-masked]] On Behalf Of Edward Beili
Sent: Monday, November 25, 2013 5:39 PM
To: Benoit Claise; Romascanu, Dan (Dan)
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [OPSAWG] AD review: draft-ietf-opsawg-rfc5066bis

Dan, Benoit,

<rfc category="std" ...>

to:

Regards,
-E.

Cc: [email-masked]<mailto:[email-masked]>

Hi,

Regards, Benoit

Regards,

Dan

Benoit,

Regards,
-E.

Ed, all,

Below is my AD review.

1.
OLD:

NEW

2.

Regards, Benoit (OPS AD)

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 26 Nov 2013 10:09:56 +0000

I am not sure. The IESG telechat can change the status, but the document needs to be clear about what the authors (based on the consensus of the WG ) are asking. In this case it does not matter, but for a document that obsoletes a previous RFC (as 5066bis originally was written) 'Standards Track' is ambiguous - do the authors intent to recycle at Proposed or do they plan to go to Internet Standard?

As shepherd the text in the template did not provide me the option of 'Standards Track':

One way or the other, there seems to be a lack of sync between xml2rfc and the write-up template which should be corrected.

Regards,

Dan

From: ietfdbh [mailto:[email-masked]]
Sent: Tuesday, November 26, 2013 1:40 AM
To: 'Edward Beili'; 'Benoit Claise'; Romascanu, Dan (Dan)
Cc: [email-masked]
Subject: RE: [OPSAWG] AD review: draft-ietf-opsawg-rfc5066bis

David Harrington

Dan, Benoit,

<rfc category="std" ...>

to:

Regards,
-E.

Hi,

Regards, Benoit

Regards,

Dan

Benoit,

Regards,
-E.

Ed, all,

Below is my AD review.

1.
OLD:

NEW

2.

Regards, Benoit (OPS AD)

---

From: Benoit Claise <[email-masked]>
Date: Tue, 26 Nov 2013 11:10:04 +0100

David, Ed,

After double-checking, David is right.

Regards, Benoit
> [email-masked] <mailto:[email-masked]>
>
> +1-603-828-1401
>
> *From:*OPSAWG [mailto:[email-masked]] *On Behalf Of *Edward Beili
> *Sent:* Monday, November 25, 2013 5:39 PM
> *To:* Benoit Claise; Romascanu, Dan (Dan)
> *Cc:* [email-masked]
> *Subject:* Re: [OPSAWG] AD review: draft-ietf-opsawg-rfc5066bis
>
> Dan, Benoit,
>
> I'm having a little difficulty with the header, namely changing 
> "Indented Status" from "Standards Track" to "Proposed Standard".
>
> <rfc category="*std*" ...>
>
> to:
>
> Intended status: *Standards Track*
>
> **
>
> I don't see a way to change that in the xml, except for fixing it 
> manually in the final .txt file, after xml2rfc conversion.
>
> *Sent:* Tuesday, November 26, 2013 00:30
> *To:* Romascanu, Dan (Dan); Edward Beili
> *Cc:* [email-masked] <mailto:[email-masked]>
> *Subject:* Re: AD review: draft-ietf-opsawg-rfc5066bis
>
> Hi,
>
>     *This document provides an updated security considerations section
>     for IF-CAP-STACK-MIB*
>
>     Regards,
>
>     -E.
>
>     Internet Standard, Informational, Experimental, or Historic)? Why
>     is this the proper type of RFC? Is this type of RFC indicated in
>     the title page header?
>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 26 Nov 2013 10:17:01 +0000

If so point (1) in the template at http://www.ietf.org/iesg/template/doc-writeup.html needs to be changed as it does not list 'Standards Track'.

Regards,

Dan

From: Benoit Claise [mailto:[email-masked]]
Sent: Tuesday, November 26, 2013 12:10 PM
To: ietfdbh; 'Edward Beili'; Romascanu, Dan (Dan)
Cc: [email-masked]
Subject: Re: [OPSAWG] AD review: draft-ietf-opsawg-rfc5066bis

David, Ed,

Regards, Benoit

David Harrington

Dan, Benoit,

<rfc category="std" ...>

to:

Regards,
-E.

Hi,

Regards, Benoit

Regards,

Dan

Benoit,

Regards,
-E.

Ed, all,

Below is my AD review.

1.
OLD:

NEW

2.

Regards, Benoit (OPS AD)

---

From: "ietfdbh" <[email-masked]>
Date: Tue, 26 Nov 2013 14:15:21 -0500

Hi Dan,

I see your point.

I recommend asking the xml2rfc team to modify the xml2rfc directive.

David Harrington

+1-603-828-1401

From: Romascanu, Dan (Dan) [mailto:[email-masked]] 
Sent: Tuesday, November 26, 2013 5:10 AM
To: ietfdbh; 'Edward Beili'; 'Benoit Claise'
Cc: [email-masked]
Subject: RE: [OPSAWG] AD review: draft-ietf-opsawg-rfc5066bis

I am not sure. The IESG telechat can change the status, but the document
needs to be clear about what the authors (based on the consensus of the WG )
are asking. In this case it does not matter, but for a document that
obsoletes a previous RFC (as 5066bis originally was written) 'Standards
Track' is ambiguous - do the authors intent to recycle at Proposed or do
they plan to go to Internet Standard? 

As shepherd the text in the template did not provide me the option of
'Standards Track': 

One way or the other, there seems to be a lack of sync between xml2rfc and
the write-up template which should be corrected.  

Regards,

Dan

David Harrington

+1-603-828-1401

Dan, Benoit,

<rfc category="std" .>

to:

Regards,

-E.

Hi,

Regards, Benoit

 

Regards,

Dan

Benoit,

Regards,

-E.

Ed, all,

Below is my AD review.

1.
OLD:

NEW

2.

Regards, Benoit (OPS AD)

---

From: t.petch <[email-masked]>
Date: Wed, 27 Nov 2013 10:43:06 +0000

----- Original Message -----
From: "ietfdbh" <[email-masked]>
To: "'Romascanu, Dan (Dan)'" <[email-masked]>; "'Edward Beili'"
<[email-masked]>; "'Benoit Claise'" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, November 26, 2013 7:15 PM

> I recommend asking the xml2rfc team to modify the xml2rfc directive.

David

I notice that the Last Call and the datatracker have got it right
(Proposed Standard) despite what the Intended status says (Standards
Track).  I do not know how this is done, whether automatically from the
write-up or from an independent action by the AD, but I would be careful
about changing xml2rfc lest it upsets the part that works (even if I do
not understand how it works:-)

Tom Petch
>  <mailto:[email-masked]> [email-masked]
Internet
>  <mailto:[email-masked]> [email-masked]
"Indented
> I don't see a way to change that in the xml, except for fixing it
manually
> First of all, as mentioned by Dan Romascanu in his write-up
(https://datatracker.ietf.org/doc/draft-ietf-opsawg-rfc5066bis/shepherdw
rite
> (1) What type of RFC is being requested (BCP, Proposed Standard,
Internet
>    revision of IEEE8023-EFM-CU-MIB is defined in IEEE Std 802.3.1-2013
<http://tools.ietf.org/html/draft-ietf-opsawg-rfc5066bis-05#ref-802.3.1>
 ].
>    revision of IEEE8023-EFM-CU-MIB, is defined in IEEE Std
802.3.1-2013
<http://tools.ietf.org/html/draft-ietf-opsawg-rfc5066bis-05#ref-802.3.1>
 ].
> Ed, how quickly can you produce a new version?

------------------------------------------------------------------------
--------

> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
>